Bug 150868 - CAN-2005-0711 Insecure temporary file creation with CREATE TEMPORARY TABLE
CAN-2005-0711 Insecure temporary file creation with CREATE TEMPORARY TABLE
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mysql (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Tom Lane
David Lawrence
impact=important,public=20050311,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-11 10:30 EST by Tom Lane
Modified: 2013-07-02 23:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-28 14:44:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2005-03-11 10:30:53 EST
Description of problem:
If an authenticated user has CREATE TEMPORARY TABLE privileges on any
existent database, a symlink attack is possible. 

Reported to vulnwatch.org by Stefano Di Paola on 11 Mar 2005

Version-Release number of selected component (if applicable):
mysql-4.1.7-5.RHEL4.1

How reproducible:
Requires some luck to guess name that will be used for temp file,
but unfortunately that's fairly predictable.

Steps to Reproduce:
1.  See vulnwatch report.

Additional info:
This is fixed in 4.1.10a, which we should upgrade to anyway as it
contains numerous other bug fixes.
Comment 1 Josh Bressers 2005-03-28 14:44:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-334.html

Note You need to log in before you can comment on or make changes to this bug.